import dnd_transcribe.argparse
import dnd_transcribe.inference
import logging


def main():
    parser = dnd_transcribe.argparse.build_argument_parser()
    args = parser.parse_args()
    logging_format = "%(asctime)s %(levelname)s:%(name)s %(message)s"
    if args.verbose:
        logging.basicConfig(level=logging.DEBUG, format=logging_format)
    elif args.quiet:
        logging.basicConfig(level=logging.ERROR, format=logging_format)
    else:
        logging.basicConfig(level=logging.INFO, format=logging_format)
    inference = dnd_transcribe.inference.Inference(args.model, use_gpu=args.use_gpu)
    if args.audio_file is not None:
        (transcription, score, duration) = inference.file_to_text(args.audio_file)
        print(transcription)
        if score is not None:
            print(f"[Confidence: {score:.1%} in {duration} seconds]")
        else:
            print(f"[Confidence -unknown- in {duration} seconds]")
    else:
        print("Live transcription is a WIP")
